Get client details by id
curl --request GET \
--url https://api.identety.dev/users/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.identety.dev/users/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.identety.dev/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "43fad864-738d-4367-a012-2b8c6948c36a",
"name": "John Doe",
"givenName": "John",
"familyName": "Doe",
"picture": "https://example.com/photo.jpg",
"locale": "en-US",
"address": {
"streetAddress": "123 Main St",
"locality": "New York",
"region": "NY",
"postalCode": "10001",
"country": "USA"
},
"metadata": {
"customField": "value"
}
}{
"message": "Invalid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Not Found",
"statusCode": 401
}Users
User Details
GET
/
users
/
{id}
Get client details by id
Authorizations
Path Parameters
Response
Client found successfully
Example:
"43fad864-738d-4367-a012-2b8c6948c36a"
Example:
"John Doe"
Example:
"John"
Example:
"Doe"
Example:
"https://example.com/photo.jpg"
Example:
"en-US"
Show child attributes
Show child attributes
Example:
{ "customField": "value" }
⌘I